/**
 * These keys are used for navigating combobox UI components.
 *
 * UP: Select the previous item in the list.
 * DOWN: Select the next item in the list.
 * ENTER / TAB: Complete input with the current selection.
 * ESC: Deselect the current selection and hide the list.
 */

import {
  DOWN_KEY_CODE,
  ENTER_KEY_CODE,
  ESC_KEY_CODE,
  TAB_KEY_CODE,
  UP_KEY_CODE,
} from '../key_codes';

export const comboBoxKeyCodes = {
  DOWN: DOWN_KEY_CODE,
  ENTER: ENTER_KEY_CODE,
  ESC: ESC_KEY_CODE,
  TAB: TAB_KEY_CODE,
  UP: UP_KEY_CODE,
};
